## org.gjt.sp.jedit.bsh.commands
Class dir

    java.lang.Object
      org.gjt.sp.jedit.bsh.commands.dir

    public class dir

extends java.lang.Object

Constructor Summary
`dir()`

Method Summary
`static void` `invoke(Interpreter env, CallStack callstack)` Implement dir() command.
`static void` `invoke(Interpreter env, CallStack callstack, java.lang.String dir)` Implement dir( String directory ) command.
`static java.lang.String` `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### dir

    public dir()

Method Detail

### usage

    public static java.lang.String usage()

### invoke

    public static void invoke(Interpreter env,
                              CallStack callstack)

  Implement dir() command.

### invoke

    public static void invoke(Interpreter env,
                              CallStack callstack,
                              java.lang.String dir)

  Implement dir( String directory ) command.